Subject: Re: [net-next v4 00/12][pull request] 100GbE Intel Wired LAN Driver Updates 2020-05-19

From: Greg KH <[email-masked]>
Date: Wed, 20 May 2020 09:17:07 +0200

On Wed, May 20, 2020 at 12:02:15AM -0700, Jeff Kirsher wrote:
> This series contains the initial implementation of the Virtual Bus,
> virtbus_device, virtbus_driver, updates to 'ice' and 'i40e' to use the new
> Virtual Bus.
> 
> The primary purpose of the Virtual bus is to put devices on it and hook the
> devices up to drivers.  This will allow drivers, like the RDMA drivers, to
> hook up to devices via this Virtual bus.
> 
> The associated irdma driver designed to use this new interface, is still
> in RFC currently and was sent in a separate series.  The latest RFC
> series follows this series, named "Intel RDMA Driver Updates 2020-05-19".  
> 
> This series currently builds against net-next tree.
> 
> Revision history:
> v2: Made changes based on community feedback, like Pierre-Louis's and
>     Jason's comments to update virtual bus interface.
> v3: Updated the virtual bus interface based on feedback from Jason and
>     Greg KH.  Also updated the initial ice driver patch to handle the
>     virtual bus changes and changes requested by Jason and Greg KH.
> v4: Updated the kernel documentation based on feedback from Greg KH.
>     Also added PM interface updates to satisfy the sound driver
>     requirements.  Added the sound driver changes that makes use of the
>     virtual bus.

Why didn't you change patch 2 like I asked you to?

And I still have no idea why you all are not using the virtual bus in
the "ice" driver implementation.  Why is it even there if you don't need
it?  I thought that was the whole reason you wrote this code, not for
the sound drivers.

How can you get away with just using a virtual device but not the bus?
What does that help out with?  What "bus" do those devices belong to?

Again, please fix up patch 2 to only add virtual device/bus support to,
right now it is just too much of a mess with all of the other
functionality you are adding in there to be able to determine if you are
using the new api correctly.

And again, didn't I ask for this last time?

greg k-h